## djbdoc2man 1.1

=== Makefile ===
VERSION=1.1
NAME=djbdoc2man
ROOT=/usr/local
BINDIR=$(ROOT)/bin
MANDIR=$(ROOT)/man
DOCDIR=$(ROOT)/doc

all: $(NAME) $(NAME).1

$(NAME): $(NAME).in
	cat $(NAME).in | sed \
	  -e s/"%NAME%"/"$(NAME)"/ \
	  -e s/"%VERSION%"/"$(VERSION)"/ \
	  > $(NAME)
	chmod +x $(NAME)
	
$(NAME).1: $(NAME)
	help2man -N ./$(NAME) > $(NAME).1

clean:
	$(RM) `cat .cvsignore`

install: all
	install -D $(NAME) $(BINDIR)/$(NAME)
	install -m 0644 -D $(NAME).1 $(MANDIR)/man1/$(NAME).1
	install -m 0644 -D README $(DOCDIR)/$(NAME)/README
	install -m 0644 -D CHANGES $(DOCDIR)/$(NAME)/CHANGES
	install -m 0644 -D doc/manual.txt $(DOCDIR)/$(NAME)/manual.txt

uninstall:
	$(RM) $(BINDIR)/$(NAME)
	$(RM) $(MANDIR)/man1/$(NAME).1
	$(RM) -r $(DOCDIR)/$(NAME) 

dist: all
	mkdir -p .dist/${NAME}-${VERSION}
	cp -rf * .dist/${NAME}-${VERSION}
	tar cvfz ${NAME}-${VERSION}.tar.gz -C .dist ${NAME}-${VERSION} --exclude CVS --exclude-from=.cvsignore
	rm -rf .dist

## djbdoc2man 1.2

=== Makefile ===
VERSION=1.2
NAME=djbdoc2man
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc

all: $(NAME) $(NAME).1

$(NAME): $(NAME).in
	cat $(NAME).in | sed \
	  -e s/"%NAME%"/"$(NAME)"/ \
	  -e s/"%VERSION%"/"$(VERSION)"/ \
	  > $(NAME)
	chmod +x $(NAME)
	
$(NAME).1: $(NAME)
	help2man -n "man-page generator for DJB software" -N ./$(NAME) > $(NAME).1

clean:
	$(RM) *.tar.bz2
	$(RM) $(NAME)
	$(RM) $(NAME).1
	$(RM) -rf .dist

install: all
	install -D $(NAME) $(DESTDIR)$(BINDIR)/$(NAME)
	install -m 0644 -D $(NAME).1 $(DESTDIR)$(MANDIR)/man1/$(NAME).1
	install -m 0644 -D README $(DESTDIR)$(DOCDIR)/$(NAME)/README
	install -m 0644 -D doc/manual.txt $(DESTDIR)$(DOCDIR)/$(NAME)/manual.txt

uninstall:
	$(RM) $(DESTDIR)$(BINDIR)/$(NAME)
	$(RM) $(DESTDIR)$(MANDIR)/man1/$(NAME).1
	$(RM) -r $(DESTDIR)$(DOCDIR)/$(NAME) 

dist: clean
	mkdir -p .dist/${NAME}-${VERSION}
	cp -rf * .dist/${NAME}-${VERSION}
	tar cvfj ${NAME}-${VERSION}.tar.bz2 -C .dist ${NAME}-${VERSION}
	rm -rf .dist

=== debian/changelog ===
djbdoc2man (1.2-1) unstable; urgency=low

  * New upstream release.
  * Switched to CDBS.

 -- Klaus Reimer <kay@debian.org>  Thu, 13 Jan 2011 15:34:41 +0000

djbdoc2man (1.1-5) unstable; urgency=low

  * Added misc:Depends.

 -- Klaus Reimer <kay@debian.org>  Sat, 07 Aug 2010 09:13:21 +0000

djbdoc2man (1.1-4) unstable; urgency=low

  * Added watch file.

 -- Klaus Reimer <kay@debian.org>  Wed, 01 Jul 2009 14:20:44 +0000

djbdoc2man (1.1-3) unstable; urgency=low

  * Updated to debhelper 7 and debian policy 3.8.1

 -- Klaus Reimer <kay@debian.org>  Fri, 13 Mar 2009 08:03:44 +0000

djbdoc2man (1.1-2) unstable; urgency=low

  * Added build-depend on help2man (Closes: #244042)

 -- Klaus Reimer <kay@debian.org>  Fri, 16 Apr 2004 13:51:56 +0200

djbdoc2man (1.1-1) unstable; urgency=low

  * New upstream version.
      Basic HTML entities are now converted (Closes: #243324)

 -- Klaus Reimer <kay@debian.org>  Mon, 12 Apr 2004 20:35:22 +0200

djbdoc2man (1.0-2) unstable; urgency=low

  * Corrected upstream URL.

 -- Klaus Reimer <kay@debian.org>  Sat, 10 Apr 2004 13:51:44 +0200

djbdoc2man (1.0-1) unstable; urgency=low

  * Initial Release. (Closes: #199064)

 -- Klaus Reimer <kay@debian.org>  Fri, 27 Jun 2003 20:19:43 +0200

=== debian/control ===
Source: djbdoc2man
Section: misc
Priority: optional
Maintainer: Klaus Reimer <kay@debian.org>
Build-Depends: cdbs, debhelper (>> 7.0.0)
Build-Depends-Indep: python, help2man
Standards-Version: 3.9.1

Package: djbdoc2man
Architecture: all
Depends: ${misc:Depends}, python
Description: Convert DJB html documentation to man pages
 This utility converts html documentation pages from D. J. Bernstein
 (http://cr.yp.to/) to manual pages. Just pipe in the HTML page and you'll
 get a manual page on stdout.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_CLEAN_TARGET    := clean
DEB_MAKE_BUILD_TARGET    := all
DEB_MAKE_INSTALL_TARGET  := install DESTDIR=$(CURDIR)/debian/djbdoc2man PREFIX=/usr

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://www.ailis.de/~k/projects/djbdoc2man/releases/ djbdoc2man-(.*)\.tar\.bz2
